Bug 868506 - Multiple network management issues
Multiple network management issues
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-20 07:00 EDT by Robin Axelsson
Modified: 2013-07-31 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:40:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Axelsson 2012-10-20 07:00:24 EDT
Description of problem:
I run the latest update of Fedora 17 with KDE on a laptop with a wireless adapter and an ethernet port.

If I turn the computer on with no frills, the manager automatically establishes a connection to the wireless network.

However, if I choose to instead connect it via cable in the presence of this wireless network, the manager seems to get confused. Firstly, it doesn't automatically connect via the wired network. Instead it goes on and off the wireless network generating "failed to connect ..." messages.

If I sort this out manually by manually closing the wireless connection and manually open up a connection through the ethernet port I will be successful with that. In the past when I did that the network manager kept nagging me with KDE Wallet password requests and continuously yielding "failed to connect ..." messages for the wireless connection which I'm not even interested in using.

I did a big update quite recently and haven't been able to reproduce this last issue but I'll report back if I run into this issue once again. Perhaps this issue has been fixed in the past 4 weeks.

Version-Release number of selected component (if applicable):
3.6.2-4.fc17.i686

How reproducible:
Every time

Steps to Reproduce:
1. Boot into a system with a 802.11a/b/g adapter (preferably a Broadcomm BCM4306 WLAN Controller) and a WPA2 encrypted wireless network with internet access. Connect the ethernet port (preferably with a Broadcomm BCM4401 network interface controller) to the same network with the same gateway.
2. Log in to the desktop
3. Watch the error messages trickle through the status bar in the lower left corner of the KDE status bar.
  
Actual results:
Error messages, failed to connect. Network manager shows that is is connected to both connections.

Expected results:
To successfully connect them both without errors and automatically set up teaming or link aggregation at the datalink layer. If that is not possible without hiccups or errors it should automatically resort to disabling all but the fastest connection (in this case the ethernet connection). Whenever it fails it should try to re-establish connection with the fastest of the slower interfaces and so on.

Additional info:
Comment 1 Fedora End Of Life 2013-07-03 18:03:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 19:40:17 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.